#ifndef EFFECTTABLE_H
#define EFFECTTABLE_H

#include "xasset.h"
#include "xfximpactentry.h"

class XImpactTable : public XAsset
{
public:
    explicit XImpactTable();
    ~XImpactTable();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    qint32 mNamePtr;
    QString mName;

    qint32 mTablePtr;
    QVector<XFxImpactEntry> mTable;
};

#endif // EFFECTTABLE_H
